Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.dsl
[Java] Interface IvyArtifactRepository

    org.gradle.api.artifacts.dsl.ArtifactRepository
      org.gradle.api.artifacts.dsl.IvyArtifactRepository

All Superinterfaces:
  ArtifactRepository

    public interface IvyArtifactRepository
    extends ArtifactRepository

An artifact repository which uses an Ivy format to store artifacts and meta-data.

Method Summary
`void` | `artifactPattern(java.lang.String pattern)` Adds an Ivy artifact pattern to use to locate artifacts in this repository.
`java.lang.String` | `getPassword()` Returns the password to use when authenticating to this repository.
`java.lang.String` | `getUserName()` Returns the user name to use when authenticating to this repository.
`void` | `setPassword(java.lang.String password)` Sets the password to use when authenticating to this repository.
`void` | `setUserName(java.lang.String username)` Sets the user name to use when authenticating to this repository.

Methods inherited from interface ArtifactRepository
getName, setName

Method Detail

### artifactPattern

    public void artifactPattern(java.lang.String pattern)

  Adds an Ivy artifact pattern to use to locate artifacts in this repository.
  Parameters:
    `pattern` - The artifact pattern.

### getPassword

    public java.lang.String getPassword()

  Returns the password to use when authenticating to this repository.
  Returns:
    The password. May be null.

### getUserName

    public java.lang.String getUserName()

  Returns the user name to use when authenticating to this repository.
  Returns:
    The user name. May be null.

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password to use when authenticating to this repository.
  Parameters:
    `password` - The password. May be null.

### setUserName

    public void setUserName(java.lang.String username)

  Sets the user name to use when authenticating to this repository.
  Parameters:
    `username` - The user name. May be null.

Groovy Documentation